[suggest] Bug report: Bogus dependency in dante RPM: "ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)"

Volkert de Buisonjé volkert at ncp.org
Tue Jun 10 16:13:34 CEST 2008


(NOTE: I know I should have attached a patch, but please read on for the 
reason why I was unable to do that.)

Bug report: Bogus dependency in dante RPM: 
"ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)"

How to reproduce: try "yum install dante" on any CentOS 5.x x86_64 machine



Dear RPMforge developers,

I've noticed something odd when attempting to install the Dante SOCKS 
proxy server on a CentOS 5.1 x86_64 machine.

Whenever I attempt to either install Dante from RPMForge through yum or 
build the RPM from source using the upstream tarball, I encounter the 
following dependency error:

ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)

 From what I have understood so far (mostly from searching for this 
dependency on rpm.pbone.net) , this dependency is bogus, since it only 
applies to earlier distros (CentOS 3 / EL3).

The really weird thing is that I can successfully build a natively 
compiled binary RPM on a CentOS 5.1 x86_64 machine using either the src 
rpm or the SPEC file and then I *still* get this dependency error when 
trying to install the resulting binary RPM's.

At first I thought this would have to be some hardcoded dependency 
specified somewhere in the Dante SPEC file, but I couldn't find any 
reference to "ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)" anywhere in 
the SPEC file.

After installing the (natively built) binary RPM's using the --nodeps 
option, Dante appeared to run fine.

Do you have any idea how to remove this (apparently) false dependency? 
Thanks.

Regards,

Volkert


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.repoforge.org/pipermail/users/attachments/20080610/4abc5150/attachment-0004.html>


More information about the users mailing list